=== test-run/requirements.txt ===
python-daemon>=1.5.5
PyYAML==3.10
argparse==1.1
msgpack-python==0.4.6
gevent==1.1b5
six>=1.8.0
