=== doc/man/CMakeLists.txt ===
pod2man (
    tarantool.pod "tarantool" 1
    "Lua application server and NoSQL database"
)
