=== test/box/CMakeLists.txt ===
build_module(function1 function1.c)
