=== debian/watch ===
version=3
	https://github.com/tarantool/tarantool/tags \
		.*/tarball/(\d+(?:\.\d+)+)
